arrangers: []
barcode: '194152333168'
catalog: N/A
categories:
- Artist Discography
category: Artist Discography
classification: N/A
composers: []
covers: []
discs:
- disc_length: '10:32'
  name: Disc 1
  tracks:
  - names:
      English: Toss the Feathers/Drowsy Maggie/Lexy McAskill's
    track_length: '2:55'
  - names:
      English: McLeod's Reel
    track_length: '1:37'
  - names:
      English: Swallowtail Set
    track_length: '2:50'
  - names:
      English: McLeod's Reel (Another Recording)
    track_length: '1:31'
  - names:
      English: We're Stalling for Time (Maid on the Shore)
    track_length: 0:30
  - names:
      English: Unknown Number of Nights Drunk
    track_length: '1:09'
link: album/139642
lyricists: []
media_format: CD
meta:
  added_date: 2024-05-21T13:09
  edited_date: 2024-05-25T06:26
  fetched_date: 2026-01-15T06:08
  freedb: 0
  ttl: 86400
  visitors: 223
name: Barghest Sampler
names:
  en: Barghest Sampler
  ja: Barghest Sampler
  ja-latn: Barghest Sampler
notes: 'Barghest was our Irish Traditional Music band throughout our time at UCLA
  (2004-2008). We played a few shows, released this, and ultimately had a great time
  together.

  This recording was recorded using a single microphone that we sat around.

  Band: Barghest

  Barghest is:

  Liz Cheney - Flute

  Sean Martin - Fiddle

  Ian Martyn - Guitar, Mandolin

  Paula Matei - Fiddle

  Andrew Merenbach - Percussion'
organizations:
- &id001
  names:
    en: Barghest
    ja: Barghest
    ja-latn: Barghest
  role: publisher
performers: []
picture_full: https://media.vgm.io/albums/24/139642/139642-55a1c21e1344.jpg
picture_small: https://medium-media.vgm.io/albums/24/139642/139642-55a1c21e1344.jpg
picture_thumb: https://thumb-media.vgm.io/albums/24/139642/139642-55a1c21e1344.jpg
publish_format: Commercial
publisher: *id001
related: []
release_date: 2006-03
release_events: []
release_price:
  price: Name Your Price
reprints: []
stores:
- link: http://barghesttrad.bandcamp.com/album/barghest-sampler
  name: Bandcamp
- link: http://music.apple.com/us/album/1518089769
  name: iTunes
- link: http://open.spotify.com/album/0tlP3DbMpqOCKaqaX0fVcA
  name: Spotify
vgmdb_link: https://vgmdb.net/album/139642?perpage=99999
votes: 0
